Fl_Tree.H File Reference

This file contains the definitions of the Fl_Tree class. More...

`#include <FL/Fl.H>`
`#include <FL/Fl_Group.H>`
`#include <FL/Fl_Scrollbar.H>`
`#include <FL/fl_draw.H>`
`#include <FL/Fl_Tree_Item.H>`
`#include <FL/Fl_Tree_Prefs.H>`

Go to the source code of this file.

## Classes

class | Fl_Tree
| Tree widget. More...

## Enumerations

enum | Fl_Tree_Reason { FL_TREE_REASON_NONE =0, FL_TREE_REASON_SELECTED, FL_TREE_REASON_DESELECTED, FL_TREE_REASON_OPENED, FL_TREE_REASON_CLOSED }
| The reason the callback was invoked. More...

## Detailed Description

This file contains the definitions of the Fl_Tree class.

## Enumeration Type Documentation

enum Fl_Tree_Reason

The reason the callback was invoked.

Enumerator
FL_TREE_REASON_NONE | unknown reason
FL_TREE_REASON_SELECTED | an item was selected
FL_TREE_REASON_DESELECTED | an item was de-selected
FL_TREE_REASON_OPENED | an item was opened
FL_TREE_REASON_CLOSED | an item was closed

- © 1998-2012 by Bill Spitzak and others.